com.holonplatform.jaxrs.swagger

## Class SwaggerConfiguration

- java.lang.Object
- - io.swagger.jaxrs.config.AbstractScanner
  - - io.swagger.jaxrs.config.BeanConfig
    - - com.holonplatform.jaxrs.swagger.SwaggerConfiguration

- All Implemented Interfaces:
    io.swagger.config.Scanner, io.swagger.config.SwaggerConfig

      public class SwaggerConfiguration
      extends io.swagger.jaxrs.config.BeanConfig

  Swagger `BeanConfig` extension to ensure `SwaggerContextListener` registration.
  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SwaggerConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Class<?>>` | `classes()`

    - ### Methods inherited from class io.swagger.jaxrs.config.BeanConfig

      `configure, getBasePath, getConfigId, getContact, getContextId, getDescription, getFilterClass, getHost, getInfo, getLicense, getLicenseUrl, getResourcePackage, getScan, getScannerId, getSchemes, getSwagger, getTermsOfServiceUrl, getTitle, getVersion, isUsePathBasedConfig, scanAndRead, setBasePath, setConfigId, setContact, setContextId, setDescription, setFilterClass, setHost, setInfo, setLicense, setLicenseUrl, setPrettyPrint, setResourcePackage, setScan, setScan, setScannerId, setSchemes, setServletConfig, setTermsOfServiceUrl, setTitle, setUsePathBasedConfig, setVersion`

    - ### Methods inherited from class io.swagger.jaxrs.config.AbstractScanner

      `getPrettyPrint, setPrettyPrint`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.swagger.config.Scanner

      `getPrettyPrint, setPrettyPrint`

- - ### Constructor Detail

    - #### SwaggerConfiguration

          public SwaggerConfiguration()

  - ### Method Detail

    - #### classes

          public Set<Class<?>> classes()

      Specified by:
        `classes` in interface `io.swagger.config.Scanner`
      Overrides:
        `classes` in class `io.swagger.jaxrs.config.BeanConfig`

Copyright © 2017 The Holon Platform. All rights reserved.